Package org.eclipse.m2m.atl.emftvm.presentation

# Class EmftvmEditor.ReverseAdapterFactoryContentProvider

java.lang.Object
org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
org.eclipse.m2m.atl.emftvm.presentation.EmftvmEditor.ReverseAdapterFactoryContentProvider

All Implemented Interfaces:
  `org.eclipse.emf.edit.provider.INotifyChangedListener`, `org.eclipse.jface.viewers.IContentProvider`, `org.eclipse.jface.viewers.IStructuredContentProvider`, `org.eclipse.jface.viewers.ITreeContentProvider`, `org.eclipse.ui.views.properties.IPropertySourceProvider`

Enclosing class:
  `EmftvmEditor`

public class EmftvmEditor.ReverseAdapterFactoryContentProvider extends org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

`adapterFactory, viewer, viewerRefresh`

## Constructor Summary

Constructors
Constructor
Description
`ReverseAdapterFactoryContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getChildren(Object object)`
`Object[]`
`getElements(Object object)`
`Object`
`getParent(Object object)`
`boolean`
`hasChildren(Object object)`

### Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

`createPropertySource, dispose, getAdapterFactory, getPropertySource, getViewerRefreshDelay, getViewerRefreshTheshold, inputChanged, notifyChanged, setAdapterFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReverseAdapterFactoryContentProvider

public ReverseAdapterFactoryContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

## Method Details

### getElements

public Object[] getElements(Object object)

Specified by:
  `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
Specified by:
  `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
Overrides:
  `getElements` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`

### getChildren

public Object[] getChildren(Object object)

Specified by:
  `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
Overrides:
  `getChildren` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`

### hasChildren

public boolean hasChildren(Object object)

Specified by:
  `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
Overrides:
  `hasChildren` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`

### getParent

public Object getParent(Object object)

Specified by:
  `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
Overrides:
  `getParent` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`